summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Renato Martini <renato.martini@gmail.com>2013-10-20 21:24:15 +0200
committer Matteo Bernardini <ponce@slackbuilds.org>2013-10-23 12:17:46 +0200
commitdd40f34e7df8cba8e1eee10782106592d8d60416 (patch)
tree1dff2a4b564413db96a7ee01956e4448c0cca9da
parent787ad95bbc0aa94e6beecf815835bb81e4c0c585 (diff)
downloadslackbuilds-dd40f34e7df8cba8e1eee10782106592d8d60416.tar.gz
slackbuilds-dd40f34e7df8cba8e1eee10782106592d8d60416.tar.xz
network/tramp: Added (remote file editing package for Emacs).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--network/tramp/README8
-rw-r--r--network/tramp/slack-desc19
-rw-r--r--network/tramp/tramp.SlackBuild104
-rw-r--r--network/tramp/tramp.info10
4 files changed, 141 insertions, 0 deletions
diff --git a/network/tramp/README b/network/tramp/README
new file mode 100644
index 0000000000..654ee46bef
--- /dev/null
+++ b/network/tramp/README
@@ -0,0 +1,8 @@
+After the installation of tramp into your Emacs, you will be able to
+access files on remote machines as though they were local.
+Access to the remote file system for editing files, version control,
+and dired are transparently enabled.
+Your access to the remote machine can be with the rsh, rlogin, telnet
+programs or with any similar connection method. This connection must
+pass ASCII successfully to be usable but need not be 8-bit clean.
+The package provides support also for ssh connections out of the box.
diff --git a/network/tramp/slack-desc b/network/tramp/slack-desc
new file mode 100644
index 0000000000..c32f0b227f
--- /dev/null
+++ b/network/tramp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tramp: Tramp (remote file editing package for Emacs)
+tramp:
+tramp: After the installation of tramp into your Emacs, you will be able to
+tramp: access files on remote machines as though they were local.
+tramp: Access to the remote file system for editing files, version control,
+tramp: and dired are transparently enabled.
+tramp: Your access to the remote machine can be with the rsh, rlogin, telnet
+tramp: programs or with any similar connection method. This connection must
+tramp: pass ASCII successfully to be usable but need not be 8-bit clean.
+tramp: The package provides support also for ssh connections out of the box.
+tramp:
diff --git a/network/tramp/tramp.SlackBuild b/network/tramp/tramp.SlackBuild
new file mode 100644
index 0000000000..98268ad69a
--- /dev/null
+++ b/network/tramp/tramp.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for tramp v.2.2.7 for Emacs
+
+# Copyright 2013 Renato MARTINI - renato.martini AT gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tramp
+VERSION=${VERSION:-2.2.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux \
+ --with-contrib
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/tramp
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog README CONTRIBUTORS INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/tramp/tramp.info b/network/tramp/tramp.info
new file mode 100644
index 0000000000..d9de3b3df2
--- /dev/null
+++ b/network/tramp/tramp.info
@@ -0,0 +1,10 @@
+PRGNAM="tramp"
+VERSION="2.2.7"
+HOMEPAGE="http://www.gnu.org/software/tramp/"
+DOWNLOAD="ftp://ftp.gnu.org/gnu/tramp/tramp-2.2.7.tar.gz"
+MD5SUM="1458a7a918c39ad8aa2572979b0f6ace"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Renato Martini"
+EMAIL="renato.martini@gmail.com"